> ## Documentation Index
> Fetch the complete documentation index at: https://devliz.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Add to watchlist

> This endpoint allows you to add a movie or TV show to your watchlist.



## OpenAPI

````yaml api-reference/TMDB-OAS.yaml post /account/{{account_id}}/watchlist
openapi: 3.0.3
info:
  title: TMDB API DOCS
  version: 1.0.0
  contact: {}
servers:
  - url: https://api.themoviedb.org/3
  - url: https://api.themoviedb.org
security:
  - bearerAuth: []
tags:
  - name: Authentication
    description: >-
      This section contains endpoints that let you create authentication
      sessions for TMDB Guests and User accounts.
  - name: Account
    description: >-
      This section contains endpoints that let you access and sync with TMDB
      user account information.
  - name: Certifications
    description: >-
      This section contains endpoints that provide an up-to-date list of the
      officially supported movies and TV show certifications on TMDB.
  - name: Changes
    description: >-
      This section contains endpoints that let you fetch the list of Movie IDs,
      People IDs, and TV show IDs that have been changed in the past 24 hours.
  - name: Collections
    description: >-
      This collection contains endpoints that let you fetch movie collection
      details.
  - name: Discover
    description: >-
      This section contains endpoints that let you search for movies and TV
      shows, using sorts and filters.
  - name: Configuration
    description: This section contains endpoints that let you query the API configuration.
  - name: Movies
    description: >-
      This section contains endpoints that let you fetch information about the
      movie resource.
  - name: Companies
    description: >-
      This section contains endpoints that fetch information about a movie
      production company.
  - name: Credits
    description: This section contains endpoint for credit details.
  - name: Find
    description: This section contains endpoints that let you find movie or TV data.
  - name: Genres
    description: This section contain endpoints that let you get movie and TV genres.
  - name: Search
    description: This section contains endpoints that let you search through TMDB
  - name: Keywords
    description: This section contains endpoints for keyword information in TMDB
  - name: Movie Lists
    description: >-
      This section contains endpoints that let you fetch information about list
      of movies on TMDB
  - name: Networks
    description: >-
      This section contains endpoints that let you get information about the
      streaming networks.
  - name: People Lists
    description: This section contains endpoints of list of people.
  - name: People
    description: >-
      This section contains endpoints that let you get information about a
      person.
  - name: Reviews
    description: This section contains endpoints for movie or TV reviews.
  - name: Trending
    description: This section contains endpoints for trending movies, TV shows, and people.
  - name: TV Series List
    description: This section contains endpoints for listing TV series.
  - name: TV Series
    description: >-
      This section contains endpoints that let you get information for a TV
      series by ID
  - name: TV Seasons
    description: This section contains endpoints for TV show seasons.
  - name: TV Episodes
    description: >-
      This section contains endpoints that let you query information about a TV
      episode.
  - name: TV Episode groups
    description: This section contains endpoints for TV Episode information
  - name: Watch providers
    description: >-
      This section contains endpoints that let you get information about watch
      providers.
paths:
  /account/{{account_id}}/watchlist:
    parameters:
      - name: account_id
        in: path
        required: true
        schema:
          type: string
    post:
      tags:
        - Account
      summary: Add to watchlist
      description: This endpoint allows you to add a movie or TV show to your watchlist.
      operationId: addToWatchlist
      parameters:
        - name: session_id
          in: query
          schema:
            type: string
            example: string
          description: User session ID created
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                media_id:
                  type: number
                  example: 11
                media_type:
                  type: string
                  example: movie
                watchlist:
                  type: boolean
                  example: true
            examples:
              Add to watchlist:
                value:
                  media_id: 11
                  media_type: movie
                  watchlist: true
      responses:
        '201':
          description: Add to watchlist
          headers:
            Alt-Svc:
              schema:
                type: string
                example: h3=":443"; ma=86400
            Connection:
              schema:
                type: string
                example: keep-alive
            Content-Length:
              schema:
                type: string
                example: '60'
            Date:
              schema:
                type: string
                example: Tue, 10 Dec 2024 14:48:44 GMT
            Server:
              schema:
                type: string
                example: openresty
            Vary:
              schema:
                type: string
                example: Origin
            Via:
              schema:
                type: string
                example: >-
                  1.1 a075746ea1824aa1c02a5e26a9e968e4.cloudfront.net
                  (CloudFront)
            X-Amz-Cf-Id:
              schema:
                type: string
                example: kaMy3LmWZZLnt57dyRVWLqjlgutaGPKLfB3Soh8zFUb0bUb9QjTPRQ==
            X-Amz-Cf-Pop:
              schema:
                type: string
                example: IAD89-C3
            X-Cache:
              schema:
                type: string
                example: Miss from cloudfront
            cache-control:
              schema:
                type: string
                example: public, max-age=0
            etag:
              schema:
                type: string
                example: W/"4543905c5703940a323f39bb4fdcba82"
            vary:
              schema:
                type: string
                example: accept-encoding
          content:
            application/json:
              schema:
                type: object
                properties:
                  status_code:
                    type: number
                    example: 1
                  status_message:
                    type: string
                    example: Success.
                  success:
                    type: boolean
                    example: true
              examples:
                Add to watchlist:
                  value:
                    status_code: 1
                    status_message: Success.
                    success: true
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````